<div class="speak_container" style='display:none;' #speak_container id='speak_container'>
  <div class="speak_now pl-4 Svgfix">
    <button type="button" class="btn float-left" style="background:none; padding: 0;" (click)="stopSpeechRecognition()">
      <!-- <i class="fas fa-microphone"></i> -->
      <!-- <img src="" > -->
      <!-- <object type="image/svg+xml" data="./assets/img/uikit/boom_mic.svg" class="icon icon-bike speak-mob">
      </object> -->
      <svg class="outer1shadow" width="168" height="168" viewBox="0 0 38 38" fill="none" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
        <g>
        <circle cx="0" cy="0" r="14.7273" class="outer1" transform="translate(19 19)">
           <animateTransform attributeName="transform" 
                type="scale"
                additive="sum"    
                from="0 0"
                to="1.99 1.99"      
                beg="0s"
                dur="1s"
                repeatCount="indefinite" />
            
            <animateTransform attributeName="transform" 
                type="scale"
                additive="sum"    
                from="1.99 1.99"
                to="0 0"      
                beg="0s"
                dur="1s"
                repeatCount="indefinite" />
          </circle>
          
          </g>
          <circle cx="0" cy="0" r="14.7273" class="outer2" fill-opacity="0.7" transform="translate(19 19)">
           <animateTransform attributeName="transform" 
                type="scale"
                additive="sum"    
                from=".5 .5"
                to="1.32 1.32"      
                beg="0s"
                dur="1s"
                repeatCount="indefinite" />
            
            <animateTransform attributeName="transform" 
                type="scale"
                additive="sum"    
                from="1.32 1.32"
                to=".5 .5"      
                beg="0s"
                dur="1s"
                repeatCount="indefinite" />
          </circle>
        
          <circle cx="0" cy="0" r="10" class="outer3" fill="url(#paint_linear)" transform="translate(19 19)">
            <animateTransform attributeName="transform" 
                type="scale"
                additive="sum"    
                from=".6 .6"
                to="1.35 1.35"      
                beg="0s"
                dur="1s"
                repeatCount="indefinite" />
            
            <animateTransform attributeName="transform" 
                type="scale"
                additive="sum"    
                from="1.35 1.35"
                to=".6 .6"      
                beg="0s"
                dur="1s"
                repeatCount="indefinite" />
          
          </circle>
        
             
        <path d="M17.3637 12.4546C16.7671 12.4546 16.2728 12.9798 16.2728 13.6137V20.5682C16.2728 21.2021 16.7671 21.7273 17.3637 21.7273H20.6364C21.233 21.7273 21.7273 21.2021 21.7273 20.5682V13.6137C21.7273 12.9798 21.233 12.4546 20.6364 12.4546H17.3637ZM14.0909 18.25V20.5682C14.0909 22.4812 15.5632 24.0455 17.3637 24.0455H18.4546V25.2046H16.2728V26.3637H21.7273V25.2046H19.5455V24.0455H20.6364C22.4368 24.0455 23.9091 22.4812 23.9091 20.5682V18.25H22.8182V20.5682C22.8182 21.8541 21.8466 22.8864 20.6364 22.8864H17.3637C16.1534 22.8864 15.1819 21.8541 15.1819 20.5682V18.25H14.0909Z" class="micColor" fill="white" transform="translate(6, 5.4)">
          <animateTransform attributeName="transform" 
                type="scale"
                additive="sum"    
                from=".7 .7"
                to=".7 .7"      
                beg="0s"
                dur="1s"
                repeatCount="indefinite" />
          </path>
        <linearGradient id="paint_linear" x1="5.15096" y1="-1.64837" x2="38.5071" y2="8.60386" gradientUnits="userSpaceOnUse">
        <stop class="color-stop-1"/>
        <stop offset="1" class="color-stop-2"/>
        </linearGradient>   
        </svg>
    </button>
    <app-hint [id]="'listening-esc'"></app-hint>
    <div class="modal-title modal-title-speak-now">
      <span id='speechdiv' class="head-only f-22">Listening</span><br>
    </div>

    <!-- <button type="button" class="btn btn-round btn-outline-danger icon-btn" (click)="stopSpeechRecognition()" *ngIf="speakerOpen"></button> -->
   
 <!-- <i class="fas fa-microphone"></i> -->
  </div>

</div>

<!-- Desktop -->
<div class="col-sm-12 custom" >
  
  <div *ngIf="!searchBarEnable" class="search-results style-3 search-ui highlight-search" (click)="setFocustoInput()" (dblclick)="makeEditKey()" #outer>
  <!-- <div class="search-results style-3 search-ui highlight-search" (click)="setFocustoInput()" (dblclick)="makeEditKey()" #outer> -->
   
    <div style="float:left; overflow-x: hidden; overflow-y: hidden; white-space: nowrap;" (click)="makeEditKey()"
      #keycontainer>
      <span class="badge danger" *ngFor="let keys of keywordBucket"
        [class]="'text-center '+keys.type+'Class'">{{keys.key}}</span>
    </div>

    <input type="text" id='searchInput' class="hiddenTextbox custom-search-input" [(ngModel)]="keyword"
      (keydown.enter)="onPressEnter($event)" (focusout)="hideSearchDropdown()" #searchTextBox="ngbTypeahead"
      [ngbTypeahead]="search" (focus)="focus$.next(keyword)" (selectItem)="selectedItem($event,searchTextBox);"
      [focusFirst]="false" [placeholder]="keywordBucket.length>0?'':'Ask for any data here'"
      (keyup.space)="onPressSpace()" (keydown.backspace)="popKeywords()" [style.width.px]="inputWidth"
      (keyup)="onKeyUp()" (keyup.escape)="onEscPress()">

    <div
      style="background: white; color: black;position: absolute;width: 94%;padding: 15px;border-radius: 0 0 20px 20px;top: 50px;"
      *ngIf="showDYMList">
      <p class="text-left">No Results Found For - {{this.keyword_dym}}</p>
      <hr />
      <h6 class="text-left"> Did You Mean?</h6>
      <div class="row">
        <div class="col-md-12 items title" *ngFor="let dym of didYouMeanList;" (click)="onDYMSelect(dym)">
          <i class="fas fa-search"></i><span class="ml-3" style="text-transform: capitalize; cursor:pointer;">{{dym}}
            ?</span>
        </div>
      </div>
    </div>

    <div *ngIf="!detectSafari()">
      <!-- <button type="button" class="btn btn-sm btn-plain theme-blue theme-blue-mic" (click)="startSpeechRecognition()">
        <img class="micro-phone" src="./assets/img/uikit/mic.png"></button>

      <button type="button" class="btn btn-sm btn-plain theme-orange theme-orange-mic" (click)="startSpeechRecognition()">
        <img class="micro-phone" src="./assets/img/uikit/mic1.png"></button>

      <button type="button" class="btn btn-sm btn-plain lite-img lite-mic" (click)="startSpeechRecognition()">
        <img class="micro-phone" src="./assets/img/uikit/mic2.png"></button>

        <button type="button" class="btn btn-sm btn-plain white-img white-mic" (click)="startSpeechRecognition()">
          <img class="micro-phone" src="./assets/img/uikit/mic3.png"></button>

        <button type="button" class="btn btn-sm btn-plain vgTheme-mic" (click)="startSpeechRecognition()">
          <img class="micro-phone" src="./assets/img/uikit/mic4.png"></button>

        <button type="button" class="btn btn-sm btn-plain cbc3Theme-mic" (click)="startSpeechRecognition()">
          <img class="micro-phone" src="./assets/img/uikit/mic5.png"></button> -->
      <button type="button" class="btn btn-sm btn-transparent" (click)="startSpeechRecognition()">
        <i class="ion ion-ios-mic micro-phone"></i>
      </button>
    </div>


    <!-- <button type="button" class="btn icon-btn btn-xs btn-search" *ngIf="keyword!=''|| keywordBucket.length>0" (click)="goSearcBtn(false)"><i class="fas fa-search"></i></button> -->
    <button type="button" class="btn icon-btn btn-xs btn-close" *ngIf="keyword!=''|| keywordBucket.length>0"
      (click)="doClear()"><i class="ion ion-ios-close"></i></button>
  </div>

  <app-search-bar *ngIf="searchBarEnable">
  </app-search-bar>

</div>
<!-- Desktop -->


<!-- Mobile Responsive -->
<!-- <div class="col-sm-12 custom p-0" *ngIf="detectmob()">


  <div *ngIf="!searchBarEnable" class="search-results style-3 search-ui highlight-search" (click)="setFocustoInput()" (dblclick)="makeEditKey()" #outer>

      <div style="float:left; overflow-x: hidden; overflow-y: hidden; white-space: nowrap;" (click)="makeEditKey()"
        #keycontainer>
        <span class="badge danger" *ngFor="let keys of keywordBucket"
          [class]="'text-center '+keys.type+'Class'">{{keys.key}}</span>
      </div>
  
      <input type="text" id='searchInput' class="hiddenTextbox custom-search-input" [(ngModel)]="keyword"
        (keydown.enter)="onPressEnter($event)" (focusout)="hideSearchDropdown()" #searchTextBox="ngbTypeahead"
        [ngbTypeahead]="search" (focus)="focus$.next(keyword)" (selectItem)="selectedItem($event,searchTextBox);"
        [focusFirst]="false" [placeholder]="keywordBucket.length>0?'':'Ask for any data here'"
        (keyup.space)="onPressSpace()" (keydown.backspace)="popKeywords()" [style.width.px]="inputWidth"
        (keyup)="onKeyUp()" (keyup.escape)="onEscPress()">
  
      <div
        style="background: white; color: black;position: absolute;width: 94%;padding: 15px;border-radius: 0 0 20px 20px;top: 50px;"
        *ngIf="showDYMList">
        <p class="text-left">No Results Found For - {{this.keyword_dym}}</p>
        <hr />
        <h6 class="text-left"> Did You Mean?</h6>
        <div class="row">
          <div class="col-md-12 items title" *ngFor="let dym of didYouMeanList;" (click)="onDYMSelect(dym)">
            <i class="fas fa-search"></i><span class="ml-3" style="text-transform: capitalize; cursor:pointer;">{{dym}}
              ?</span>
          </div>
        </div>
      </div>
  
      <div *ngIf="!detectSafari()">
    
      </div>
  
  
     <button type="button" class="btn icon-btn btn-xs btn-close" *ngIf="keyword!=''|| keywordBucket.length>0"
        (click)="doClear()"><i class="ion ion-ios-close"></i></button>
    </div>
  
    <app-search-bar *ngIf="searchBarEnable">
    </app-search-bar>
  

  <div class="pt-3" >

    <button type="button" class="btn-plain-mob" (click)="startSpeechRecognition()">
      <img src="./assets/img/uikit/mic-mob.png">
    </button>

  </div>


</div> -->
<!-- Mobile Responsive -->